Package com.independentsoft.office.spreadsheet.tables

# Class Table

java.lang.Object
com.independentsoft.office.spreadsheet.tables.Table

public class Table extends Object
The Class Table.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Table()`
  Instantiates a new table.
  `Table​(byte[] buffer, Relationship relationship)`
  Instantiates a new table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Table`
  `clone()`
  `AutoFilter`
  `getAutoFilter()`
  Gets the auto filter.
  `List<TableColumn>`
  `getColumns()`
  Gets the columns.
  `String`
  `getComment()`
  Gets the comment.
  `long`
  `getConnectionID()`
  Gets the connection id.
  `long`
  `getDataAreaFormatID()`
  Gets the data area format id.
  `String`
  `getDataCellStyle()`
  Gets the data cell style.
  `String`
  `getDisplayName()`
  Gets the display name.
  `long`
  `getHeaderRowBorderFormatID()`
  Gets the header row border format id.
  `String`
  `getHeaderRowCellStyle()`
  Gets the header row cell style.
  `long`
  `getHeaderRowCount()`
  Gets the header row count.
  `long`
  `getHeaderRowFormatID()`
  Gets the header row format id.
  `long`
  `getID()`
  Gets the id.
  `String`
  `getName()`
  Gets the name.
  `QueryTable`
  `getQueryTable()`
  Gets the query table.
  `String`
  `getReference()`
  Gets the reference.
  `String`
  `getReferenceId()`
  `SortState`
  `getSortState()`
  Gets the sort state.
  `TableStyle`
  `getStyle()`
  Gets the style.
  `long`
  `getTableBorderFormatID()`
  Gets the table border format id.
  `long`
  `getTotalsRowBorderFormatID()`
  Gets the totals row border format id.
  `String`
  `getTotalsRowCellStyle()`
  Gets the totals row cell style.
  `long`
  `getTotalsRowCount()`
  Gets the totals row count.
  `long`
  `getTotalsRowFormatID()`
  Gets the totals row format id.
  `TableType`
  `getType()`
  Gets the type.
  `boolean`
  `isInsertRowShift()`
  Checks if is insert row shift.
  `boolean`
  `isInsertRowShowing()`
  Checks if is insert row showing.
  `boolean`
  `isPublished()`
  Checks if is published.
  `boolean`
  `isTotalsRowShown()`
  Checks if is totals row shown.
  `void`
  `setAutoFilter​(AutoFilter autoFilter)`
  Sets the auto filter.
  `void`
  `setComment​(String comment)`
  Sets the comment.
  `void`
  `setConnectionID​(long connectionID)`
  Sets the connection id.
  `void`
  `setDataAreaFormatID​(long dataAreaFormatID)`
  Sets the data area format id.
  `void`
  `setDataCellStyle​(String dataCellStyle)`
  Sets the data cell style.
  `void`
  `setDisplayName​(String displayName)`
  Sets the display name.
  `void`
  `setHeaderRowBorderFormatID​(long headerRowBorderFormatID)`
  Sets the header row border format id.
  `void`
  `setHeaderRowCellStyle​(String headerRowCellStyle)`
  Sets the header row cell style.
  `void`
  `setHeaderRowCount​(long headerRowCount)`
  Sets the header row count.
  `void`
  `setHeaderRowFormatID​(long headerRowFormatID)`
  Sets the header row format id.
  `void`
  `setID​(long id)`
  Sets the id.
  `void`
  `setInsertRowShift​(boolean insertRowShift)`
  Sets the insert row shift.
  `void`
  `setInsertRowShowing​(boolean insertRowShowing)`
  Sets the insert row showing.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPublished​(boolean published)`
  Sets the published.
  `void`
  `setQueryTable​(QueryTable queryTable)`
  Sets the query table.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setReferenceId​(String value)`
  `void`
  `setSortState​(SortState sortState)`
  Sets the sort state.
  `void`
  `setStyle​(TableStyle style)`
  Sets the style.
  `void`
  `setTableBorderFormatID​(long tableBorderFormatID)`
  Sets the table border format id.
  `void`
  `setTotalsRowBorderFormatID​(long totalsRowBorderFormatID)`
  Sets the totals row border format id.
  `void`
  `setTotalsRowCellStyle​(String totalsRowCellStyle)`
  Sets the totals row cell style.
  `void`
  `setTotalsRowCount​(long totalsRowCount)`
  Sets the totals row count.
  `void`
  `setTotalsRowFormatID​(long totalsRowFormatID)`
  Sets the totals row format id.
  `void`
  `setTotalsRowShown​(boolean totalsRowShown)`
  Sets the totals row shown.
  `void`
  `setType​(TableType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Table

    public Table()
    Instantiates a new table.

  - ### Table

    public Table​(byte[] buffer, Relationship relationship) throws XMLStreamException
    Instantiates a new table.
    Parameters:
      `buffer` - the buffer
      `relationship` - the relationship
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getReferenceId

    public String getReferenceId()

  - ### setReferenceId

    public void setReferenceId​(String value)

  - ### clone

    public Table clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAutoFilter

    public AutoFilter getAutoFilter()
    Gets the auto filter.
    Returns:
      the auto filter

  - ### setAutoFilter

    public void setAutoFilter​(AutoFilter autoFilter)
    Sets the auto filter.
    Parameters:
      `autoFilter` - the new auto filter

  - ### getSortState

    public SortState getSortState()
    Gets the sort state.
    Returns:
      the sort state

  - ### setSortState

    public void setSortState​(SortState sortState)
    Sets the sort state.
    Parameters:
      `sortState` - the new sort state

  - ### getColumns

    public List<TableColumn> getColumns()
    Gets the columns.
    Returns:
      the columns

  - ### getStyle

    public TableStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(TableStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getComment

    public String getComment()
    Gets the comment.
    Returns:
      the comment

  - ### setComment

    public void setComment​(String comment)
    Sets the comment.
    Parameters:
      `comment` - the new comment

  - ### getConnectionID

    public long getConnectionID()
    Gets the connection id.
    Returns:
      the connection id

  - ### setConnectionID

    public void setConnectionID​(long connectionID)
    Sets the connection id.
    Parameters:
      `connectionID` - the new connection id

  - ### getDataCellStyle

    public String getDataCellStyle()
    Gets the data cell style.
    Returns:
      the data cell style

  - ### setDataCellStyle

    public void setDataCellStyle​(String dataCellStyle)
    Sets the data cell style.
    Parameters:
      `dataCellStyle` - the new data cell style

  - ### getDataAreaFormatID

    public long getDataAreaFormatID()
    Gets the data area format id.
    Returns:
      the data area format id

  - ### setDataAreaFormatID

    public void setDataAreaFormatID​(long dataAreaFormatID)
    Sets the data area format id.
    Parameters:
      `dataAreaFormatID` - the new data area format id

  - ### getDisplayName

    public String getDisplayName()
    Gets the display name.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName​(String displayName)
    Sets the display name.
    Parameters:
      `displayName` - the new display name

  - ### getHeaderRowBorderFormatID

    public long getHeaderRowBorderFormatID()
    Gets the header row border format id.
    Returns:
      the header row border format id

  - ### setHeaderRowBorderFormatID

    public void setHeaderRowBorderFormatID​(long headerRowBorderFormatID)
    Sets the header row border format id.
    Parameters:
      `headerRowBorderFormatID` - the new header row border format id

  - ### getHeaderRowCellStyle

    public String getHeaderRowCellStyle()
    Gets the header row cell style.
    Returns:
      the header row cell style

  - ### setHeaderRowCellStyle

    public void setHeaderRowCellStyle​(String headerRowCellStyle)
    Sets the header row cell style.
    Parameters:
      `headerRowCellStyle` - the new header row cell style

  - ### getHeaderRowCount

    public long getHeaderRowCount()
    Gets the header row count.
    Returns:
      the header row count

  - ### setHeaderRowCount

    public void setHeaderRowCount​(long headerRowCount)
    Sets the header row count.
    Parameters:
      `headerRowCount` - the new header row count

  - ### getHeaderRowFormatID

    public long getHeaderRowFormatID()
    Gets the header row format id.
    Returns:
      the header row format id

  - ### setHeaderRowFormatID

    public void setHeaderRowFormatID​(long headerRowFormatID)
    Sets the header row format id.
    Parameters:
      `headerRowFormatID` - the new header row format id

  - ### getID

    public long getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(long id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### isInsertRowShowing

    public boolean isInsertRowShowing()
    Checks if is insert row showing.
    Returns:
      true, if is insert row showing

  - ### setInsertRowShowing

    public void setInsertRowShowing​(boolean insertRowShowing)
    Sets the insert row showing.
    Parameters:
      `insertRowShowing` - the new insert row showing

  - ### isInsertRowShift

    public boolean isInsertRowShift()
    Checks if is insert row shift.
    Returns:
      true, if is insert row shift

  - ### setInsertRowShift

    public void setInsertRowShift​(boolean insertRowShift)
    Sets the insert row shift.
    Parameters:
      `insertRowShift` - the new insert row shift

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isPublished

    public boolean isPublished()
    Checks if is published.
    Returns:
      true, if is published

  - ### setPublished

    public void setPublished​(boolean published)
    Sets the published.
    Parameters:
      `published` - the new published

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getTableBorderFormatID

    public long getTableBorderFormatID()
    Gets the table border format id.
    Returns:
      the table border format id

  - ### setTableBorderFormatID

    public void setTableBorderFormatID​(long tableBorderFormatID)
    Sets the table border format id.
    Parameters:
      `tableBorderFormatID` - the new table border format id

  - ### getType

    public TableType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(TableType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getTotalsRowBorderFormatID

    public long getTotalsRowBorderFormatID()
    Gets the totals row border format id.
    Returns:
      the totals row border format id

  - ### setTotalsRowBorderFormatID

    public void setTotalsRowBorderFormatID​(long totalsRowBorderFormatID)
    Sets the totals row border format id.
    Parameters:
      `totalsRowBorderFormatID` - the new totals row border format id

  - ### getTotalsRowCellStyle

    public String getTotalsRowCellStyle()
    Gets the totals row cell style.
    Returns:
      the totals row cell style

  - ### setTotalsRowCellStyle

    public void setTotalsRowCellStyle​(String totalsRowCellStyle)
    Sets the totals row cell style.
    Parameters:
      `totalsRowCellStyle` - the new totals row cell style

  - ### getTotalsRowCount

    public long getTotalsRowCount()
    Gets the totals row count.
    Returns:
      the totals row count

  - ### setTotalsRowCount

    public void setTotalsRowCount​(long totalsRowCount)
    Sets the totals row count.
    Parameters:
      `totalsRowCount` - the new totals row count

  - ### getTotalsRowFormatID

    public long getTotalsRowFormatID()
    Gets the totals row format id.
    Returns:
      the totals row format id

  - ### setTotalsRowFormatID

    public void setTotalsRowFormatID​(long totalsRowFormatID)
    Sets the totals row format id.
    Parameters:
      `totalsRowFormatID` - the new totals row format id

  - ### isTotalsRowShown

    public boolean isTotalsRowShown()
    Checks if is totals row shown.
    Returns:
      true, if is totals row shown

  - ### setTotalsRowShown

    public void setTotalsRowShown​(boolean totalsRowShown)
    Sets the totals row shown.
    Parameters:
      `totalsRowShown` - the new totals row shown

  - ### getQueryTable

    public QueryTable getQueryTable()
    Gets the query table.
    Returns:
      the query table

  - ### setQueryTable

    public void setQueryTable​(QueryTable queryTable)
    Sets the query table.
    Parameters:
      `queryTable` - the new query table